Update JWT IdP configuration
Updates an existing JWT-based Identity Provider (IdP) configuration for the Tenant identified by the AppName, modifying details such as algorithms, mapping, or endpoint information.
Updates an existing JWT-based Identity Provider (IdP) configuration for the Tenant identified by the AppName, modifying details such as algorithms, mapping, or endpoint information.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Path Parameters
JWT Client Name
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/v2/manage/jwt-clients/my-jwt-client" \ -H "Content-Type: application/json" \ -d '{ "Algo": "HS256", "Audience": [ "aud1", "aud2" ], "LoginUrl": "https://example.com", "Mapping": { "email": "Email[0].Value", "uid": "Uid" }, "Metadata": { "orgId": "123456" }, "NotAfterDifference": 900, "NotBeforeDifference": 0, "QueryStringParameter": "id_token", "ResponseMode": "query", "Secret": "f5d70720-1a95-4cff-a2c5-5fd25e115aab" }'{
"AppName": "jwtapp"
}{
"ErrorCode": 7914,
"Message": "Post body is invalid",
"Description": "Please use a valid post body in JSON format."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "JWT configuration not found or the resource does not exist.",
"ErrorCode": 7958,
"Message": "JWT configuration not found"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}Delete JWT IdP configuration DELETE
Deletes an existing JWT-based Identity Provider (IdP) configuration for the Tenant using its AppName, permanently disabling authentication and federation with that IdP.
List supported JWT algorithms GET
Retrieves a list of all supported cryptographic algorithms that can be used by JWT clients for signing and verification when configuring a JWT-based Identity Provider (IdP) for the Tenant.